<script  type="text/javascript"  src="https://au.alogic.co/media/Reveal-Comp.js"></script>
<style type="text/css">
  .reveal {
  position: relative;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.reveal:not(.reveal-loaded) * {
  display: block;
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  height: auto;
}

.reveal:not(.reveal-loaded) *:nth-child(2) {
  display: none;
}

.reveal-img {
  display: block;
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  height: auto;
}

.reveal-img:nth-child(2) {
  position: absolute;
}

.reveal-bar {
  position: absolute;
  top: 0;
  width: 5px;
  height: 100%;
  background: #000000;
  -webkit-transform: translate3d(-50%, 0, 0);
  transform: translate3d(-50%, 0, 0);
  opacity: 0.7;
  cursor: ew-resize;
  touch-action: none;
}

.reveal-grabber {
  position: absolute;
  top: 50%;
  width: 50px;
  height: 30px;
  border-radius: 30%;
  background: #000000;
  left: -23px;
  border: 1px solid white;
  -webkit-transform: translateY(-15px);
  transform: translateY(-15px);
}

.reveal-arrows {
  position: relative;
  top: 1px;
  font-size: 22px;
  color: white;
  text-align: center;
}
</style>
<?php

$items = $block->getProductCollection()->setPageSize(5)
    ->setCurPage(1)->getItems();
$_imagehelper = $this->helper('Magento\Catalog\Helper\Image');

$_imagehelper = $this->helper('Magento\Catalog\Helper\Image');

$objectManager =  \Magento\Framework\App\ObjectManager::getInstance();
?>
<?php $i=0; 

foreach ($items as $_product): $i++; 


 $imageUrl = $_imagehelper->init($_product, 'thumbnail')
                ->setImageFile($_product->getThumbnail()) // image,small_image,thumbnail
                ->resize(380)
                ->getUrl();


 //$productImage = $_imagehelper->init($_product, 'thumbnail')->resize(400, 400)->getUrl();
?>
    

<div class="row">
    <div class="col-lg-4 col-md-4 col-sm-4 col-lg-offset-1 col-md-offset-1 col-sm-offset-1"><img class="img-responsive" src="https://au.alogic.co/media/wysiwyg/MicrosoftTeams-image_4_.png" alt="" /></div>
    <div class="col-lg-4 col-md-4 col-sm-4 col-lg-offset-1 col-md-offset-1 col-sm-offset-1">
        <div class="md_product">
            <img src="<?php echo $imageUrl; ?>" alt="" />
            <h5><?php echo $_product->getName(); ?> </h5>
             
            <?php if ($_product->isSaleable()){ ?>
                            <div>
                                
                              <span class="md_price"><?php echo $block->getProductPrice($_product) ?></span>
                              <?php $postParams = $block->getAddToCartPostParams($_product);?>
                              <form data-role="tocart-form" action="<?php /* @escapeNotVerified */echo $this->getUrl('checkout/cart/add', ['uenc' => $postParams['data']['uenc'], 'product' => $postParams['data']['product']]); ?>" method="post">
                                <input type="hidden" name="product" value="<?php /* @escapeNotVerified */echo $postParams['data']['product']; ?>">
                                <input type="hidden" name="uenc" value="<?php /* @escapeNotVerified */echo $postParams['data']['uenc']; ?>">
                                <input name="form_key" type="hidden" value="<?php echo $this->getFormKey() ?>" />
                                <button class="btn-wrapper-btn btn btn-primary" type="submit" title="<?php /* @escapeNotVerified */echo __('Add to Cart') ?>">

                                  <span class="text"><?php /* @escapeNotVerified */echo __('Add to Cart') ?></span>
                                </button>
                              </form>
                              
                            </div>
                          <?php }else{ ?>
                            <div class="notify-box">
                              <?php
                              $blockStockNofity = $this->getLayout()
                              ->createBlock(
                              "Alogic\Customtheme\Block\ProductAlert",
                              "list.page.stocknotify.".$_product->getId(),
                                  [
                                      'data' => [
                                      'prouctinfo' => $_product
                                      ]
                                  ]
                              )->setData('area', 'frontend');
                              ?>
                              <?= /* @escapeNotVerified */ $blockStockNofity->setHtmlClass('notify-box-stock')
                              ->setSignupLabel(__('Notify me when this product is in stock'))
                              ->setTemplate('Magento_ProductAlert::product/view.phtml')
                              ->toHtml();?>
                            </div>
                          <?php }?>
        </div>
    </div>
</div>
<?php endforeach ?>